# Increment the total count of netherite blocks used
scoreboard players add @s netherite_used 1
scoreboard players add @s netherite_used_count 1
scoreboard players add @s netherite_limit_reached 1

# Load the base time from the scoreboard for netherite
scoreboard players operation @s netherite_base_time = netherite_base_time

# Calculate the decrease for netherite's base time based on its usage
scoreboard players operation @s netherite_base_time -= @s netherite_used_count

# Ensure netherite base time doesn't go below a minimum value (defined in the config)
execute if score @s netherite_base_time < baseTime min_base_time run scoreboard players set @s netherite_base_time 0

# Tell the player the new netherite base time
execute as @s run tellraw @s [{"text":"New Netherite Base Time: ","color":"dark_gray"},{"score":{"name":"@s","objective":"netherite_base_time"}},{"text":" seconds","color":"white"}]

# Increase the base time of all other ores by a fixed amount
execute as @s run scoreboard players operation @s copper_base_time += @s other_ore_increase
execute as @s run scoreboard players operation @s iron_base_time += @s other_ore_increase
execute as @s run scoreboard players operation @s gold_base_time += @s other_ore_increase
execute as @s run scoreboard players operation @s diamond_base_time += @s other_ore_increase
execute as @s run scoreboard players operation @s emerald_base_time += @s other_ore_increase
execute as @s run scoreboard players operation @s lapis_base_time += @s other_ore_increase
execute as @s run scoreboard players operation @s quartz_base_time += @s other_ore_increase
execute as @s run scoreboard players operation @s redstone_base_time += @s other_ore_increase
execute as @s run scoreboard players operation @s beacon_base_time += @s other_ore_increase

execute as @s run tellraw @s [{"text":"Max Limit: ","color":"gold"},{"score":{"name":"@s","objective":"max_usage_limit"}},{"text":" Till Rollover","color":"white"}]

# Check if the netherite usage count has reached the limit
execute if score @s netherite_limit_reached >= max_usage_limit netherite_limit_reached run scoreboard players set @s netherite_limit_reached 0

# Add the adjusted netherite time to the player's total time
scoreboard players operation @s timedLife_time += @s netherite_base_time

# Play sound and clear the netherite block
playsound block.enchantment_table.use master @s
execute as @s run setblock ~ ~-1 ~ air
